package base;

public class Giocatore {

	// posizione del giocatore 
	protected int posizione = 0;
	// riferimento al tabellone, per poter sapere quante caselle ci sono
	protected Tabellone tabellone;
	
	// costruttore
	public Giocatore(Tabellone t) {
		this.tabellone = t;
	}

	// restituisce la posizione
	public int getPosizione() { return posizione; }
	
	// consente di aggiornare la posizione
	public boolean setPosizione(int nuovaPos) {
		if ((nuovaPos<0)||(nuovaPos>tabellone.getNumeroCaselle()))
			return false;
		else {
			posizione = nuovaPos;
			return true;
		}
	}

	
	// implementazione della mossa (lancia due dadi e aggiorna la posizione)
	public void mossa() {
		Dado dado = new Dado();
		posizione += dado.lancia() + dado.lancia();
		// se si supera l'ultima casella si torna indietro
		if (posizione>tabellone.getNumeroCaselle()) {
			int ritorno = posizione - tabellone.getNumeroCaselle();
			posizione -= ritorno;
		}
	}
		
}
